#!/bin/bash

rm /etc/php-fpm.d/www.conf

cat <<EOF > /etc/php-fpm.d/$user.conf

[$user]

user = $user
group = $user
listen = /run/php-fpm/www.sock
listen.owner = apache
listen.group = apache

pm = static
pm.max_children = 10
pm.max_requests = 150

slowlog = /etc/httpd/logs/error_log
request_slowlog_timeout = 3s

php_admin_value[error_log] = /etc/httpd/logs/error_log
php_admin_flag[log_errors] = on
php_value[soap.wsdl_cache_dir]  = /var/lib/php/wsdlcache

EOF

exit 0